﻿import flash.external.*;

stop();

var lName:String = "Name, Test"; //should be replaced by Student, Joe in the Test Suite
var firstNm:String;
var modeStatus:String;
var lessonStatus:String;
var yourScore:String;
var yourScoreSentence:String;
var priorPts:Number;
var priorPtsStr:String;

function getValuesFromLMS():void
{
	modeStatus = String(ExternalInterface.call("giveNameValueToFlash","cmi.core.lesson_mode"));
	lName = String(ExternalInterface.call("giveNameValueToFlash","cmi.core.student_name"));
	lessonStatus = String(ExternalInterface.call("giveNameValueToFlash", "cmi.core.lesson_status"));
	priorPtsStr = String(ExternalInterface.call("giveNameValueToFlash","cmi.core.score.raw"));
	
	if (!isNaN(Number(priorPtsStr)))
	{
		yourScore = priorPtsStr+"%";
		priorPts = Number(priorPtsStr);
	}
	else priorPts = 0;
}

getValuesFromLMS();

finishText.visible = false;
nextStepText.visible = false;

function reportResultsToLMS(activityPoints:Number):void	//ActivityPoints needs to be a number between 0 and 100 inclusive.
{
	if (activityPoints >priorPts)
		ExternalInterface.call("SCOSetValue","cmi.core.score.raw",activityPoints);
	if (activityPoints > 98)
		ExternalInterface.call("SCOSetValue","cmi.core.lesson_status","passed");
	else
	   ExternalInterface.call("SCOSetValue","cmi.core.lesson_status","incomplete");
	ExternalInterface.call("SCOCommit","");
	getValuesFromLMS();
	resultsTxt.text = firstNm + ", your score is " + priorPtsStr + "%.";
	resultsTxt.visible = true;
}

function findFirstName(learnerName:String):String
{  
  var commaPos:Number = learnerName.length;
  var lastNameFirst:Boolean = false;
  var spacePos:Number=commaPos;
  var firstName:String;
  for (var i=0;i<learnerName.length;i++)
  {
    if (learnerName.charAt(i) == ",")
    {
      commaPos = i;
      lastNameFirst = true;
    }
    else if (learnerName.charAt(i) == " ")
    {
      if (lastNameFirst && i>commaPos+1)
        spacePos = i;
      else if (!lastNameFirst)
	  spacePos = i;
    }
  }
  
  if (lastNameFirst)
    firstName = learnerName.substring(commaPos+1,spacePos);
  else
    firstName = learnerName.substring(0, spacePos);
  return firstName;
}

firstNm = findFirstName(lName); 

if (priorPts==0)
  yourScoreSentence = " The Learning Managment System does not have a score for you.";
else
  yourScoreSentence = " Your current score is " + yourScore + ".";


greetingText.text = "Hello " + firstNm + ". You are in " + modeStatus + " mode.";
greetingText.appendText(yourScoreSentence); 
greetingText.appendText(" Click 'Start Program' if you would like to run this program.");  
greetingText.appendText(" Click 'Finish Program' or close the program if you wish to exit.");

finishBtn.addEventListener(MouseEvent.CLICK,finishSCO);
finishBtn.addEventListener(MouseEvent.MOUSE_OVER,overFinishBtn);
finishBtn.addEventListener(MouseEvent.MOUSE_OUT,offFinishBtn);
startProgBtn.addEventListener(MouseEvent.CLICK,startProg);
startProgBtn.addEventListener(MouseEvent.MOUSE_OVER,showText);
startProgBtn.addEventListener(MouseEvent.MOUSE_OUT,hideInstrucText);

function finishSCO(event:MouseEvent):void
{
	ExternalInterface.call("SCOFinish","");
}
function overFinishBtn(event:MouseEvent):void
{
	finishText.visible = true;
}
function offFinishBtn(event:MouseEvent):void
{
	finishText.visible = false;
}
function startProg(event:MouseEvent):void
{
	startProgBtn.removeEventListener(MouseEvent.MOUSE_OUT,hideInstrucText);
	nextScene();
}
function showText(event:MouseEvent):void
{
	nextStepText.visible = true;
}
function hideInstrucText(event:MouseEvent):void
{
	nextStepText.visible = false;
}
  